All the classes below are in the Hurricane namespace.

The inheritance tree has been splitted/simplificated.

Legend :

            ClassA  ClassA is abstract
            ClassB  ClassB is instanciable

## Exceptions

| Exception

| Error
| Warning
| Interruption

## Collections

| Collection< Type >

| GenericCollection< Type >
| SubSetCollection< Type >
| SubTypeCollection< SuperType, Type >
| ListCollection< Type >
| VectorCollection< Type >
| MapCollection< Type >
| SetCollection< Type >

## Locators

| Locator< Type >

| GenericLocator< Type >

## Filters

| Filter< Type >

| GenericFilter< Type >
| NotFilter< Type >

## Common Objects

| Tabulation
| Unit
| Point
| Box
| Interval
| Transformation
| Name

## Data Base Objects

| DBo

| DataBase
| Technology
| Layer

| BasicLayer
| RegularLayer
| ViaLayer
| ContactLayer
| DiffusionLayer
| TransistorLayer

| Library
| Entity

| Cell
| Net
| Go

| Instance
| Component

| RoutingPad
| Plug
| Contact
| Segment

| Vertical
| Horizontal

| Pad

| Rubber

| Quark

## Properties

| Property

| PrivateProperty

| StandardPrivateProperty< Value >
| Selector

| SharedProperty

| StandardSharedProperty< Value >
| Relation

| StandardRelation

| UpdateSession

## Hooks

| Hook

| Component::BodyHook
| Component::AnchorHook
| Component::SourceHook
| Component::TargetHook

## Pathes and Occurrences

| Path
| Occurrence
| HyperNet

## Fast Access Structures

| Component::QuadTree
| Component::Slice
| Query